> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/senders/domains/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List sender domains POST https://mandrillapp.com/api/1.4/senders/domains Content-Type: application/json Returns the sender domains that have been added to this account. Reference: https://mailchimp.com/developer/transactional/api/senders/domains ## Request ### Body (application/json) This endpoint expects a SendersDomainsRequest. - `key` (string, required) — A valid Mandrill API key ## Response ### 200 Success - `list of SendersSenderDomain` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Types ### SendersSenderDomain A domain used for sending by the account, including verification status. - `domain` (string, optional) - `created_at` (string, optional) — The date and time that the sending domain was first seen. - `last_tested_at` (string, optional) — The date and time that the sending domain was last tested. - `spf` (VerificationDetail, optional) — Details about the domain's SPF record. - `dkim` (VerificationDetail, optional) — Details about the domain's DKIM record. - `dkim2` (VerificationDetail, optional) — Details about the domain's second DKIM record. - `dmarc` (DmarcDetail, optional) — Details about the domain's DMARC record. - `verified_at` (string, optional) — The date and time that the sending domain was verified. - `valid_signing` (boolean, optional) — Whether this domain can be used to sign messages. - `verify_txt_key` (string, optional) — The key for the TXT record used to verify the domain. ### VerificationDetail Details about the verification status of a domain. - `valid` (boolean, optional) — Whether this verification is valid. - `valid_after` (string, optional) — The date and time that this verification was last tested. - `error` (string, optional) — An error message indicating why the verification failed. ### DmarcDetail Details about the DMARC status of a domain. - `valid` (boolean, optional) — Whether this verification is valid. - `error` (string, optional) — An error message indicating why the verification failed. ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig" } ``` **Response** ```json [ { "domain": "example.com", "created_at": "string", "last_tested_at": "string", "spf": { "valid": true, "valid_after": "string", "error": "string" }, "dkim": { "valid": true, "valid_after": "string", "error": "string" }, "dkim2": { "valid": true, "valid_after": "string", "error": "string" }, "dmarc": { "valid": true, "error": "string" }, "verified_at": "string", "valid_signing": true, "verify_txt_key": "string" } ] ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/senders/domains" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/senders/domains'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/senders/domains" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/senders/domains") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://mandrillapp.com/api/1.4/senders/domains") .header("Content-Type", "application/json") .body("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}") .asString(); ``` ```php request('POST', 'https://mandrillapp.com/api/1.4/senders/domains', [ 'body' => '{ "key": "ONzNrsmbtNXoIKyfPmjnig" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://mandrillapp.com/api/1.4/senders/domains"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["key": "ONzNrsmbtNXoIKyfPmjnig"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/senders/domains")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.